# Generated by Django 2.0.7 on 2018-07-22 14:16

from django.db import migrations, models


def derive_slug_from_name(apps, schema_editor):
    Category = apps.get_model('recordings', 'Category')
    for category in Category.objects.all():
        category.slug = ''.join(category.name.split()).lower()
        category.save()


class Migration(migrations.Migration):

    dependencies = [('recordings', '0002_recording')]

    operations = [
        migrations.AddField(
            model_name='category',
            name='slug',
            field=models.SlugField(default='default-slug', verbose_name='Slug'),
            preserve_default=False,
        ),
        migrations.RunPython(derive_slug_from_name),
    ]
